/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version: 1.3.21
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package org.osgeo.mapguide;



/**
 * {@link MgCoordinateSystemGridSpecification} is an object that is used to
 * convey all the parameters necessary for the generation of a grid/graticule
 * lumped into a single object for convenience.  Thus, adding a parameter
 * determined to be necessary at a later time does not alter a lot of calling
 * sequences.
 * Note that this interface is an abstract interface.  There is code
 * associated with the implementation of this interface which is used to
 * handle the conversion of parameters between the various unit systems.
 * Thus, one obtains a {@link MgCoordinateSystemGridSpecification} from the
 * {@link MgCoordinateSystemFactory} object.
 * Note that all values are provided in the units specified within the object.
 * The units used in this object do <b>not</b> need to be the same as any
 * coordinate system involved in the generation of a grid, although the
 * <b>type</b> of unit must be consistent with the type of grid being drawn.
 * That is, specifying a Angular unit type when drawing a UTM grid will cause
 * an exception at the time the request for (say) grid lines is issued.
 *
 * @since  2.2 */
 public class MgCoordinateSystemGridBoundary extends MgGuardDisposable {
  private long swigCPtr;

  public MgCoordinateSystemGridBoundary(long cPtr, boolean cMemoryOwn) {
    super(MapGuideDesktopApiJNI.SWIGMgCoordinateSystemGridBoundaryToMgGuardDisposable(cPtr), cMemoryOwn);
    swigCPtr = cPtr;
  }

  protected MgCoordinateSystemGridBoundary() {
    this(0, false);
  }

  protected void finalize() {
    delete();
  }

  public void delete() {
    if(swigCPtr != 0 && swigCMemOwn) {
      swigCMemOwn = false;
      MapGuideDesktopApiJNI.delete_MgCoordinateSystemGridBoundary(swigCPtr);
    }
    swigCPtr = 0;
    super.delete();
  }

  protected static long getCPtr(MgCoordinateSystemGridBoundary obj) {
    return (obj == null) ? 0 : obj.swigCPtr;
  }

  
/**
 * Sets the extents of this grid boundary
 *
 * @param  southwest ({@link MgCoordinate})  The southwest coordinate of the extents
 * @param  northeast ({@link MgCoordinate})  The northeast coordinate of the extents
 */
 public void setBoundaryExtents(MgCoordinate southwest, MgCoordinate northeast) {
    MapGuideDesktopApiJNI.MgCoordinateSystemGridBoundary_SetBoundaryExtents__SWIG_0(swigCPtr, MgCoordinate.getCPtr(southwest), MgCoordinate.getCPtr(northeast));
  }

  
/**
 * Sets the extents of this grid boundary
 *
 * @param  boundary ({@link MgPolygon})  The extents of this grid boundary
 */
 public void setBoundaryExtents(MgPolygon boundary) {
    MapGuideDesktopApiJNI.MgCoordinateSystemGridBoundary_SetBoundaryExtents__SWIG_1(swigCPtr, MgPolygon.getCPtr(boundary));
  }

  public MgPolygon getBoundary() {
    long cPtr = MapGuideDesktopApiJNI.MgCoordinateSystemGridBoundary_GetBoundary(swigCPtr);
    return (cPtr == 0) ? null : (MgPolygon)ObjectFactory.createObject(MapGuideDesktopApiJNI.getClassId(cPtr), cPtr, true);
  }

}
